package com.zcloud.service.majordangersource;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：重大危险源应急处置
 * 作者：luoxiaobao
 * 时间：2022-05-04
 * 官网：www.zcloudchina.com
 */
public interface MajordangersourceDisposalService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception;

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd)throws Exception;

	/**
	 * 报警升级
	 * @param pd
	 */
    void upLevel(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData showById(PageData pd)throws Exception;

	/**
	 * 根据重大危险源分组统计报警处置情况
	 * @param pd
	 * @return
	 * @throws Exception
	 */
    List<PageData> statisticsGroupMajordangersource(PageData pd)throws Exception;

	/**
	 * 重大危险源处置统计数据（报警数【COUNTALARM】，已处置【COUNTDISPOSED】，处置中【COUNTDISPOSAL】）
	 * @param pd
	 * @return
	 */
	PageData statisticsDisposal(PageData pd)throws Exception;

	/**
	 * 根据处置状态按日期分组统计处置数据
	 * @param pd
	 * @return
	 */
	List<PageData> statisticsGroupDateByState(PageData pd)throws Exception;
}

